Une faille sur le navigateur Internet Explorer et Spartan


Un chercheur en sécurité a découvert une faille critique sur le navigateur de Microsoft, Internet Explorer. Celle-ci permettrait à une personne malintentionnée de piéger les internautes en créant des faux sites sans que l'utilisateur ne puisse s'en rendre compte...
Découvert le 13 octobre dernier, ce problème n'est actuellement toujours pas corrigé par Microsoft, et concerne aussi bien Internet Explorer que Spartan.

Lire l'article → sur le site de Clubic.com

Les commentaires conditionnels ne sont plus pris en charge


La prise en charge des commentaires conditionnels a été supprimée dans les modes standard et Quirks d’Internet Explorer 10 pour plus d’interopérabilité et de conformité avec HTML5. Les commentaires conditionnels sont donc désormais traités en tant que commentaires réguliers, comme dans les autres navigateurs...

Lire l'article → sur le site de Microsoft

Pour moi ça veut dire que

<!-- [if gte IE 9]><![endif]-->

n'a plus de sens.

Détecter et rediriger les versions d'Internet Explorer en utilisant JavaScript

Qui souffre encore de la cruauté des anciennes versions l'Internet Explorer ? Si douloureux quand on passe des jours et des semaines avec des extra codages et encore...

Pour avoir une bonne résultat de l'affichage de votre site dans les versions antérieures de IE9, il faut :
- lire des tutoriels et faire des recherches dans les pages qui parlent chinois quelque fois et dans les forums pour étudier les moyens de l'amélioration de IE.
- télécharger un logiciel, appelé IETester pour voir les changements car moi, je n'ai plus, je ne peux plus et je ne veux plus installer les versions démodées.
- télécharger le script de Modernizr, et compléter avec Boilerplate et les lier à tous mes pages pour détecter les fonctionnalités de HTML5 et CSS3 et améliorer l'affichage des effets et des éléments graphiques plus modernes dans l'ancien IE.
- rajouter les commentaires conditionnels (voir ici) dans la page html.
- rajouter une extension (plugin) de Modernizr dans mon blog WordPress qui met des scripts et codes nécessaires à tous les pages du blog, générées par le système php.

Lire la suite

Problème de la publication des commentaires avec Internet Explorer sur Blogger

Disqus widget - commentaires pour blogsLes blogs de Blogger sont plus adaptés pour Mozilla Firefox. Dernièrement il y a un problème de l'affiche de la publication des commentaires avec l'Internet Explorer, simplement dire, la formulaire de commentaires disparaît de temps en temps ou le bouton "envoyer" ne marche plus. Je vous propose une solution qui a l'air plus stable et fiable : Disqus.

Lire la suite